Cordova Build Android Error


An update of Android Studio requires me to move Android SDKs out of the Application folder.


After I moved it, I got the following error when I do “cordova build android”

/Users/Henry/android-sdks/tools/ant/build.xml:483: The SDK Build Tools revision (18.0.1) is too low for project 'CordovaApp'. Minimum required is 19.1.0


I launch Android SDK Manager from Android Studio and it turns out that SDK Manager is still look at the old SDK Path, the one in the Application folder.


  1. Launch Android Studio
  2. On the right panel, select Configure –> Project Defaults –> Project Structure
  3. Specify the correct Android SDK location and click OK.
  4. Go back and select Configure –> SDK Manager.
  5. Verify that SDK Manager has the correct SDK Path. 
  6. Install the latest (i.e. highest Rev.) Android SDK Build-tools



Leave a Reply

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s